Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Skype и Ubuntu 14.04 установка  (Прочитано 1273 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Skype и Ubuntu 14.04 установка
« : 27 Декабрь 2016, 14:43:59 »
У меня был скайп какой то версии, но так как у коллеги был более новый он мне предложил обновить свой, я вместо обновления удалил и пытаюсь поставить заново, но получаю ошику и никак не могу её попобороть, просто беда, что делать не понимаю


sudo apt-get install skype
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype : Зависит: skype-bin
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Оффлайн p1x3l_

  • Новичок
  • *
  • Сообщений: 38
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #1 : 27 Декабрь 2016, 14:48:11 »
sudo apt-get autoremove
sudo apt-get install -f
ну и потом ставите

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #2 : 27 Декабрь 2016, 14:50:43 »
пробовал, не помогло (
все равно таже ошибка

sudo apt-get install skype
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype : Зависит: skype-bin
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Пользователь добавил сообщение 27 Декабрь 2016, 18:04:06:
кто нибудь может объяснить как вернуть старый скайп, ведь он же стоял, работал, значит его можно как то поставить заново ?
« Последнее редактирование: 27 Декабрь 2016, 18:04:06 от kenny_CK »

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4645
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #3 : 27 Декабрь 2016, 19:18:26 »

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #4 : 27 Декабрь 2016, 21:28:18 »
у меня 14.04 но я попробовал

sudo dpkg -i skype-ubuntu-precise_4.3.0.37-1_i386.deb
Выбор ранее не выбранного пакета skype.
(Чтение базы данных … на данный момент установлен 228641 файл и каталог.)
Подготовка к распаковке skype-ubuntu-precise_4.3.0.37-1_i386.deb …
Распаковывается skype (4.3.0.37-1) …
dpkg: зависимости пакетов не позволяют настроить пакет skype:
 skype зависит от libqtwebkit4 (>= 2.2~2011week36), однако:
  Пакет libqtwebkit4:i386 не установлен.

dpkg: ошибка при обработке пакета skype (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
При обработке следующих пакетов произошли ошибки:
 skype

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4645
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #5 : 27 Декабрь 2016, 21:33:06 »
kenny_CK, теперь sudo apt-get -f install

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #6 : 27 Декабрь 2016, 21:39:04 »
sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libelf1:i386
  libglapi-mesa-lts-utopic:i386 libgstreamer-plugins-base1.0-0:i386
  libgstreamer1.0-0:i386 liborc-0.4-0:i386 libpciaccess0:i386
  libsqlite3-0:i386 libssl1.0.0:i386 libtxc-dxtn-s2tc0:i386 libudev1:i386
  libx11-xcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
  libxcb-present0:i386 libxcb-sync1:i386 libxml2:i386 libxshmfence1:i386
  libxslt1.1:i386 libxv1:i386 libxxf86vm1:i386
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  skype:i386
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 162 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 44,3 MB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 228788 файлов и каталогов.)
Удаляется skype (4.3.0.37-1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
ivan@ivan-PC:~$ skype
skype: команда не найдена

Пользователь добавил сообщение 27 Декабрь 2016, 21:44:53:
просто отчаяние  :(
« Последнее редактирование: 27 Декабрь 2016, 21:44:53 от kenny_CK »

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4645
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #7 : 27 Декабрь 2016, 21:51:15 »
kenny_CK, Перед установкой скайпа добавь этот репозиторий:
sudo apt-add-repository ppa:xorg-edgers/ppa
sudo apt-get update
Затем снова попробуй установить скайп:
sudo apt-get install skype sni-qt:i386 libdbusmenu-qt2:i386 libqt4-dbus:i386 libxss1:i386 && sudo apt-get -f install
В Программы и обновления на Партнеры Canonical и Независимое галочки должны стоять

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #8 : 27 Декабрь 2016, 22:02:44 »
sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libelf1:i386
  libglapi-mesa-lts-utopic:i386 libgstreamer-plugins-base1.0-0:i386
  libgstreamer1.0-0:i386 liborc-0.4-0:i386 libpciaccess0:i386
  libsqlite3-0:i386 libssl1.0.0:i386 libtxc-dxtn-s2tc0:i386 libudev1:i386
  libx11-xcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
  libxcb-present0:i386 libxcb-sync1:i386 libxml2:i386 libxshmfence1:i386
  libxslt1.1:i386 libxv1:i386 libxxf86vm1:i386
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  skype:i386
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 162 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 44,3 MB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 228788 файлов и каталогов.)
Удаляется skype (4.3.0.37-1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
ivan@ivan-PC:~$ sudo apt-get install skype sni-qt:i386 libdbusmenu-qt2:i386 libqt4-dbus:i386 libxss1:i386 && sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия libdbusmenu-qt2:i386.
Уже установлена самая новая версия libxss1:i386.
Уже установлена самая новая версия sni-qt:i386.
Уже установлена самая новая версия libqt4-dbus:i386.
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 skype : Зависит: skype-bin
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
ivan@ivan-PC:~$

я уже столько всего перепробовал, мне кажется я долаламал систему окончательно, может есть какая то процедура от начала до конца, очистить все, потом заново поставить, хотя я уже и такое делал

Оффлайн Morisson

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 4645
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #9 : 27 Декабрь 2016, 22:06:32 »
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 162 пакетов не обновлено.
Может обновишься для начала?
sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

Оффлайн kenny_CK

  • Автор темы
  • Новичок
  • *
  • Сообщений: 26
    • Просмотр профиля
Re: Skype и Ubuntu 14.04 установка
« Ответ #10 : 27 Декабрь 2016, 22:14:24 »
обновил все пакеты

sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libdrm-intel1:i386 libdrm-nouveau2:i386 libdrm-radeon1:i386 libelf1:i386
  libglapi-mesa-lts-utopic:i386 libgstreamer-plugins-base1.0-0:i386
  libgstreamer1.0-0:i386 liborc-0.4-0:i386 libpciaccess0:i386
  libsqlite3-0:i386 libssl1.0.0:i386 libtxc-dxtn-s2tc0:i386 libudev1:i386
  libx11-xcb1:i386 libxcb-dri2-0:i386 libxcb-dri3-0:i386 libxcb-glx0:i386
  libxcb-present0:i386 libxcb-sync1:i386 libxml2:i386 libxshmfence1:i386
  libxslt1.1:i386 libxv1:i386 libxxf86vm1:i386
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  skype:i386
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 1 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 44,3 MB.
Хотите продолжить? [Д/н] д
(Чтение базы данных … на данный момент установлено 228829 файлов и каталогов.)
Удаляется skype (4.3.0.37-1) …
Обрабатываются триггеры для gnome-menus (3.10.1-0ubuntu2) …
Обрабатываются триггеры для desktop-file-utils (0.22-1ubuntu1) …
Обрабатываются триггеры для bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Обрабатываются триггеры для mime-support (3.54ubuntu1.1) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …

Пользователь добавил сообщение 27 Декабрь 2016, 22:17:09:
у меня при апдейте в конце такое выдает, может это быть причиной всех траблов, кроме моих рук ? )

Чтение списков пакетов… Готово                                 
W: Duplicate sources.list entry http://archive.canonical.com/ trusty/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_dists_trusty_partner_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ trusty/partner amd64 Packages (/var/lib/apt/lists/archive.canonical.com_dists_trusty_partner_binary-amd64_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ trusty/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_dists_trusty_partner_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ trusty/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_dists_trusty_partner_binary-i386_Packages)
W: Вы можете запустить «apt-get update» для исправления этих ошибок

Пользователь добавил сообщение 27 Декабрь 2016, 22:20:13:
что то даже попыталось установить но

skype
skype: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory

Пользователь добавил сообщение 27 Декабрь 2016, 22:23:22:
и так я уже пробовал
sudo apt install libqtwebkit4
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия libqtwebkit4.
libqtwebkit4 установлен вручную.
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 skype:i386 : Зависит: libqtwebkit4:i386 (>= 2.1.0~2011week13) но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
« Последнее редактирование: 27 Декабрь 2016, 22:23:22 от kenny_CK »

toZen

  • Гость
Re: Skype и Ubuntu 14.04 установка
« Ответ #11 : 27 Декабрь 2016, 22:39:09 »
kenny_CK, у Вас версия libqtwebkit ниже 2.1.
Удалите текущую и установите новую.
Скачать можно тут.
Устанавливаете через dpkg -i
И как удаляли скайп?
« Последнее редактирование: 27 Декабрь 2016, 22:44:08 от τοΖεη »

 

Страница сгенерирована за 0.141 секунд. Запросов: 24.